Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class readAssignments2

    java.lang.Object
      readAssignments2

    public class readAssignments2

extends java.lang.Object

readAssignments reads assigments from a scanner that got a list. Rewritten.

Version:
  2.5
Author:
  Fred Kral

Constructor Summary
`readAssignments2()`

Method Summary
`static int` | `findValueString(java.lang.String rawDataField)` findValue classifies assigment scoring method, called Value.
`static java.lang.String` | `mendedRawData(java.util.ArrayList<java.lang.String> rawDataList)` mendedRawData - Join the fragments from the raw data together.
`static Assignment` | `parseRawData(java.lang.String rawData, plainDate pDate, Course course)` parseRawData new creates a new assignment that does not need to be parsed by Assignment
`static void` | `readAssignments(java.util.Scanner sc, Person student, Semester semester)`
`static boolean` | `readColumnHeadings(java.util.Scanner sc)`
`static java.lang.String` | `readGoodLine(java.util.Scanner sc)` readGoodLine tests whether we are at the end of user input date (or file)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### readAssignments2

    public readAssignments2()

Method Detail

### readAssignments

    public static void readAssignments(java.util.Scanner sc,
                                       Person student,
                                       Semester semester)

### readGoodLine

    public static java.lang.String readGoodLine(java.util.Scanner sc)

  readGoodLine tests whether we are at the end of user input date (or file)

  Parameters:
    `sc` - which has with user input or file data
  Returns:
    the next line in the file

### readColumnHeadings

    public static boolean readColumnHeadings(java.util.Scanner sc)

### mendedRawData

    public static java.lang.String mendedRawData(java.util.ArrayList<java.lang.String> rawDataList)

  mendedRawData - Join the fragments from the raw data together. They are broken due to a couple of conditions.

### findValueString

    public static int findValueString(java.lang.String rawDataField)

  findValue classifies assigment scoring method, called Value. Return codes examples -1 no match 1 "N points" 5 points 2 "N points (Mx)" 75 points (7.5x) 3 "Letter Grades (Mx)" Letter Grades (1x) 4 "Check (Mx)" Check (1x) 5 "Complete/Incomplete (Mx)" Complete/Incomplete (1x)

### parseRawData

    public static Assignment parseRawData(java.lang.String rawData,
                                          plainDate pDate,
                                          Course course)

  parseRawData new creates a new assignment that does not need to be parsed by Assignment

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD